TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Apply ( list l, func f ) -> list r

### Description

<shortdoc> Return the list where every member 'b' of 'l' is replaced by 'f' applied to 'b'. </shortdoc>

### Examples

l:=[1,2,3,4]; Apply(l,i->3*i); l;
l:=[1,2,3,4]; Apply(l,IsEven); l;

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack